Stampfactory
Dokumentation
Vergütung

Vergütung aktualisieren

PUT
/employees/{employee}/compensations/{compensation}
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

employee*string

The employee ID

Formatuuid
compensation*string

The compensation ID

Formatuuid

Request-Body

application/json

TypeScript-Definitionen

TypeScript-Typ für request body.

Response-Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/compensations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "employee_id": "string",    "compensation_type": {      "id": "string",      "name": "string",      "category": "string",      "is_system": "string"    },    "compensation_type_id": "string",    "value": 0,    "currency": "string",    "effective_from": "string",    "interval": "string",    "weekly_working_hours": 0,    "full_time_weekly_working_hours": 0,    "suggested_weekly_hours": null,    "hours_mismatch": null,    "schedule_model_weekly_hours": null,    "comment": "string",    "created_at": "string",    "updated_at": "string"  }}